JournalProtocolServerSideTranslatorPB (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: JournalProtocolServerSideTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class JournalProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.protocolPB.JournalProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalProtocolService.BlockingInterface`, `JournalProtocolPB`

@Private public class JournalProtocolServerSideTranslatorPB extends Object implements JournalProtocolPB
Implementation for protobuf service that forwards requests received on `JournalProtocolPB` to the `JournalProtocol` server implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JournalProtocolServerSideTranslatorPB(JournalProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.FenceResponseProto`
  `fence(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.FenceRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalResponseProto`
  `journal(org.apache.hadoop.thirdparty.protobuf.RpcController unused, org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.StartLogSegmentResponseProto`
  `startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.StartLogSegmentRequestProto req)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JournalProtocolServerSideTranslatorPB

    public JournalProtocolServerSideTranslatorPB(JournalProtocol impl)

- ## Method Details

  - ### journal

    public org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalResponseProto journal(org.apache.hadoop.thirdparty.protobuf.RpcController unused, org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `journal` in interface `org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`
    See Also:
      - `JournalProtocol.journal(org.apache.hadoop.hdfs.server.protocol.JournalInfo, long, long, int, byte[])`

  - ### startLogSegment

    public org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.StartLogSegmentResponseProto startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.StartLogSegmentRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `startLogSegment` in interface `org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`
    See Also:
      - `JournalProtocol.startLogSegment(org.apache.hadoop.hdfs.server.protocol.JournalInfo, long, long)`

  - ### fence

    public org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.FenceResponseProto fence(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.FenceRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `fence` in interface `org.apache.hadoop.hdfs.protocol.proto.JournalProtocolProtos.JournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`